<?php

//////////////////////////////////////////////
//            www.p30light.ir               //
//////////////////////////////////////////////

class MailSender {

    private function addHeader(&$headers, $h) {
        $headers .= ($headers == '' ? '' : "\r\n") . $h;
    }

    public function sendMailGenerate($to, $subject, $message, $from = '') {
        $message = '<body dir="rtl">
	<div style="font-family:tahoma;font-size:9pt;margin:auto;width:90%;min-width:90%;background:#efefef;color:#333;border-radius:5px;border:1px solid #aaa;">
		<h1 style="background:#00c2ff;margin:2px;border-radius:4px;font-size:9pt;padding:5px;color:#fff;">
                ' . $subject . '
		</h1>
		<p style="border:1px solid #ccc;background:#fff;margin:2px;border-radius:4px;font-size:9pt;padding:5px;color:#777;">
                ' . $message . '
		</p>
		<h3 style="padding:5px;color:#999;font-size:7pt;margin:0;">
			' . persian_name . ' - ' . prettyname . '
		</h3>
	</div>
        </body>';
        $subject = persian_name .' - '. $subject;
        $this->sendMail($to, $subject, $message, $from, true);
    }

    public function sendMail($to, $subject, $message, $from = '', $html = false, $charset = 'UTF-8') {
        //help: $to can be either separated by commas, or sent as an array.
        //if array used, mail function is called several times.
        //if comma used, mail function is called once for all receivers.
        //echo '<div background="silver">' . $message . '</div>';
        ;
        //die($message);
        //init
        $headers = '';
        $this->addHeader($headers, 'X-Mailer: PHP/' . phpversion());

        //validate message
        $message = str_replace("\n.", "\n..", $message);

        //parse `from`
        if ($from != '') {
            $this->addHeader($headers, "From: $from");
        }

        //parse `html`
        if ($html) {
            // To send HTML mail, the Content-type header must be set
            $this->addHeader($headers, 'MIME-Version: 1.0');
            $this->addHeader($headers, 'Content-type: text/html; charset=' . $charset);
        }

        //send message
        if (is_array($to))
            for ($i = 0; $i < count($to); $i++)
                mail($to[$i], $subject, $message, $headers);
        else
            mail($to, $subject, $message, $headers);
    }

}

global $mailsender;
$mailsender = new MailSender();
?>