<?php
//////////////////////////////////////////////
//             www.p30light.ir              //
//////////////////////////////////////////////

require '../includes/server.php';
if (!quickLoginCheck('modules/login.php', $db->admin))
    return;

//init navbar buttons
$navbuttons[] = array('صفحه اصلی مدیریت', 'index.php');
$navbuttons[] = array('تنظیمات', '?module=settings');
$navbuttons[] = array('مدیریت تبلیغات', '?module=ads');
$navbuttons[] = array('مدیریت پاپ آپ', '?module=popup');
$navbuttons[] = array('مدیریت کاربران', '?module=users');
$navbuttons[] = array('مدیریت پرداخت', '?module=payment');
$navbuttons[] = array('پیام ها', '?module=pm');
$navbuttons[] = array('ارسال پیام گروهی', '?module=newpm&id=0');
$navbuttons[] = array('درخواست های واریزی', '?module=withdraw');
$navbuttons[] = array('مشاهده سایت', '../', '_blank');
$navbuttons[] = array('خروج', '?module=logout');

function getModule($s) {
    switch ($s) {
        case 'ads':
        case 'users':
        case 'settings':
        case 'viewuser':
        case 'viewpm':
        case 'newpm':
        case 'pm':
        case 'withdraw':
        case 'logout':
        case 'payment':
        case 'popup':
            return "modules/$s.php";
    }
    return '';
}
ob_start();
?>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
        <link rel="stylesheet" type="text/css" href="main.css" />
        <title>Administration</title>
    </head>
<body>


<div class="container">
<div class="main">
<div class="right">
<div class="sidebar">
<div class="sidebar_top_title"><a href="logout.php">خروج از مدیریت</a></div>
<div class="sidebar_top_title">منو مدیریت</div>
<ul>
 <?php
                foreach ($navbuttons as $arr)
                    echo '<li><a href="' . $arr[1] . '"' . (count($arr) >= 3 ? ' target="' . $arr[2] . '"' : '') . '>' . $arr[0] . '</a></li> ';
                ?>
</ul>
</div></div>
<div class="left">
<?php
            //load module
            $module = 'modules/main.php';
            if (isset($_GET['module']))
                $module = getModule($_GET['module']);
            if (file_exists($module))
                include $module;
            else
                echo 'درخواست نامشخص!';
            ob_end_flush();
            ?>
      
  </div>  </div>
</div><!-- pagination -->
</div><!-- end left -->
</div><!-- end main -->
</div><!-- end container --> 

</body>
</html>
